Bug 999730 - Numad logging crazily verbose
Numad logging crazily verbose
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: numad (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Bill Gray
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 20:19 EDT by Dan Pritts
Modified: 2017-12-06 07:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 07:41:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Pritts 2013-08-21 20:19:41 EDT
Description of problem:

1) /var/log/numad.log, when set at the default level, is crazily verbose.

Here is a sample of the output from a single run.  It runs every 15 seconds.  

Wed Aug 21 20:09:05 2013: Advising pid 51512 (jsvc) move from nodes (2) to nodes (2)
Wed Aug 21 20:09:05 2013: Including task: 51512
Wed Aug 21 20:09:05 2013: Including task: 51513
[ cut 148 "including task" lines ]
Wed Aug 21 20:09:05 2013: Including task: 60888
Wed Aug 21 20:09:05 2013: Including task: 61018
Wed Aug 21 20:09:05 2013: PID 51512 moved to node(s) 2 in 0.0 seconds


Version-Release number of selected component (if applicable):

numad-0.5-8.20121015git.el6.x86_64

How reproducible:

100%

Steps to Reproduce:
1.start numad
2.look at log to try to understand what it's doing
3.feel brain melt out ears

Actual results:

brain melts

Expected results:

learn something useful from logs

Additional info:
Comment 1 Dan Pritts 2013-08-21 20:20:29 EDT
yeah, I know I can just grep out the bad lines, but sheesh.
Comment 3 RHEL Product and Program Management 2013-10-13 22:37:11 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Jan Kurik 2017-12-06 07:41:58 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.